System Requirements and Support

As with any technology, you want to make sure that your computer is set to run elevateU properly.  Here are a few basic checkpoints:

  • Pop-up blocker must be turned off
  • Make sure you have the latest updates for Java and Flash
  • If you experience slow speeds, you may benefit from closing other, non-essential applications that are running

 

For a complete list of system and browser requirements, click here

 

For Java related questions, check this Quick Reference Guide

 

The version of Skillport that we are currently using is 7.3